#ifndef MARATIODATA_H
#define MARATIODATA_H

#include <string>
#include <iostream>
#include <fstream>
#include <sstream>
#include <vector>
#include <assert.h>
#include "Site.h"
using namespace std;



class MaRatioData{
	public:
	 MaRatioData(){};
	 MaRatioData(string filename,int skip=0);
	 int getObsLen(){return obsLen;}

	 //vector<Site>datanogap;
	 //vector<double>obsnogap;
	 //int obsnogapLen;
	 vector<Site> data;
	 vector<double> obs;
	 int obsLen;
	friend ostream& operator<<(ostream& os, const MaRatioData& mrdata);
	private:
	void fillGap(const Site& lastsite,const Site& site);
};



#endif
