/*site correspond to one row in input file, assume 4 columns
chr startpos endpos value
*/
#ifndef SITE_H
#define SITE_H

#include <string>
#include <iostream>
#include <fstream>
#include <sstream>

#define MISSING -1000000//values below this represent missing
//change the spacing value if you want to consider missing data
#define SPACING 38
#define PROBELEN 50

using namespace std;

class Site{
	public:
	Site(string region,long s,long e){
		regionName=region;
		start=s;
		end=e;
		obs=double(MISSING)-1;
	}
	Site(){}
	string regionName;
	double obs;
	string probeName;
	long start;//start of the probe position
	long end;
	friend istream& operator>>(istream& is,Site& site);
};

#endif

